Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589705 - Update R template
Summary: Update R template
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmdevtools
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 593363
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 17:56 UTC by Pierre-YvesChibon
Modified: 2010-10-08 20:44 UTC (History)
2 users (show)

Fixed In Version: 7.9-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-20 20:37:38 UTC


Attachments (Terms of Use)
Patch to change the template to the latest guidelines (deleted)
2010-05-06 17:56 UTC, Pierre-YvesChibon
no flags Details | Diff

Description Pierre-YvesChibon 2010-05-06 17:56:53 UTC
Created attachment 412132 [details]
Patch to change the template to the latest guidelines

Description of problem:
The R template is outdated.

I am attaching to this bug a patch to correct the template to the latest version of the packaging guidelines.

Comment 1 Pierre-YvesChibon 2010-05-06 18:11:04 UTC
FYI, I kept in the template:
%global packname  %(echo %{name} | sed -e 's/^R-//')
although it does not work for me here (but I guess this should be a different bug)

Comment 2 Ville Skyttä 2010-05-06 19:18:17 UTC
I redid the patch because the one in initial comment contained apparently whitespace only changes that I don't think belong in the template (for consistency with others) and make it harder to see what's going on with the changes, please take a look at the git version to see if I missed something (and if I did, patches against that version are welcome).

http://git.fedorahosted.org/git/?p=rpmdevtools.git;a=summary

Fixes also welcome to the %global packname thing if the current thing doesn't work.

Comment 3 Pierre-YvesChibon 2010-05-06 20:00:53 UTC
Looks good to me (pity for the spaces though, I liked when headers are aligned).

I have been discussing regarding:
%ifarch noarch
Requires:       R-core
%endif

It could be changed to a simple
Requires:       R-core # only needed for noarch

For the packname I'll see if I find something.

Comment 4 Ville Skyttä 2010-05-07 10:49:29 UTC
http://git.fedorahosted.org/git/?p=rpmdevtools.git;a=commitdiff;h=594de67423252e833f987e048574e5d8974543f8
(Again for consistency with other spec templates)

I'll put this back to NEEDINFO regarding the packname issue.

Comment 5 Ville Skyttä 2010-05-18 15:53:38 UTC
I took a look at the packname issue and I now believe it is a problem in rpm, see bug 593363.  One workaround seems to be to use %define instead of %global.

Comment 6 Fedora Update System 2010-09-27 18:47:16 UTC
rpmdevtools-7.10-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rpmdevtools-7.10-1.fc13

Comment 7 Fedora Update System 2010-10-08 20:44:35 UTC
rpmdevtools-7.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.